Bug 141183 - ports/japanese/ruby-chasen update
Summary: ports/japanese/ruby-chasen update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-05 07:10 UTC by ksmakoto
Modified: 2010-04-23 18:15 UTC (History)
0 users

See Also:


Attachments
file.diff (1.46 KB, patch)
2009-12-05 07:10 UTC, ksmakoto
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ksmakoto 2009-12-05 07:10:01 UTC
ruby-chasen updated

Fix: !!!NOTICE!!! /usr/ports/japanese/ruby-chasen/files/patch-extconf.rb no more needed

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-12-05 07:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ksmakoto 2009-12-05 07:37:06 UTC
sorry, some more fix.

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/japanese/ruby-chasen/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- Makefile	16 Jun 2009 15:53:13 -0000	1.15
+++ Makefile	5 Dec 2009 07:33:40 -0000
@@ -6,10 +6,9 @@
 #
 
 PORTNAME=	chasen
-PORTVERSION=	1.6
-PORTREVISION=	2
+PORTVERSION=	1.7
 CATEGORIES=	japanese textproc ruby
-MASTER_SITES=	http://www.itlb.te.noda.tus.ac.jp/~ikarashi/ruby/
+MASTER_SITES=	http://sites.google.com/a/ixenon.net/ruby-chasen/home/
 DISTNAME=	${PORTNAME}${PORTVERSION}
 DIST_SUBDIR=	ruby
 
@@ -21,8 +20,9 @@
 USE_RUBY=	yes
 USE_RUBY_EXTCONF=	yes
 
-CONFIGURE_ARGS=	--with-chasen-include="${PREFIX}/include/chasen" \
-		--with-chasen-lib="${PREFIX}/lib"
+FETCH_ARGS=	-pRr
+
+CONFIGURE_ARGS=	--with-chasen-dir="${PREFIX}"
 INSTALL_TARGET=	site-install
 
 .include <bsd.port.pre.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/japanese/ruby-chasen/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- distinfo	24 Nov 2005 23:02:07 -0000	1.3
+++ distinfo	5 Dec 2009 07:33:40 -0000
@@ -1,3 +1,3 @@
-MD5 (ruby/chasen1.6.tar.gz) = 534c5865e62b228f544f22f7aeee1335
-SHA256 (ruby/chasen1.6.tar.gz) = 9f76ec4987804f55d82497a757745615843eb5f1def5685a0f4d25b0ab802f6a
-SIZE (ruby/chasen1.6.tar.gz) = 3255
+MD5 (ruby/chasen1.7.tar.gz) = 862833b93f70975df0d31af252dfcfac
+SHA256 (ruby/chasen1.7.tar.gz) = bbf913ef1e9946b000bc1e2e4fd5c271fd8c10e0854c4f227fb748f589a8ae03
+SIZE (ruby/chasen1.7.tar.gz) = 2753
Comment 3 Dirk Meyer freebsd_committer 2010-04-23 12:10:48 UTC
State Changed
From-To: open->closed

committed, thanks.
Comment 4 dfilter service freebsd_committer 2010-04-23 12:10:58 UTC
dinoex      2010-04-23 11:10:45 UTC

  FreeBSD ports repository

  Modified files:
    japanese/ruby-chasen Makefile distinfo 
  Removed files:
    japanese/ruby-chasen/files patch-extconf.rb 
  Log:
  - update to 1.7
  PR:             141183
  Submitted by:   Makoto Kishimoto
  
  Revision  Changes    Path
  1.16      +5 -5      ports/japanese/ruby-chasen/Makefile
  1.4       +3 -3      ports/japanese/ruby-chasen/distinfo
  1.3       +0 -26     ports/japanese/ruby-chasen/files/patch-extconf.rb (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"